---
title: MediaStreamTrack.id
slug: Web/API/MediaStreamTrack/id
tags:
  - Media Capture and Streams
  - MediaStreamTrack
  - Property
  - Read-only
  - Reference
  - WebRTC
---
<div>{{APIRef("Media Capture and Streams")}}</div>

<p>The<strong> </strong><code><strong>MediaStreamTrack.id</strong></code> read-only property returns a {{domxref("DOMString")}} containing a unique identifier (GUID) for the track, which is generated by the {{glossary("user agent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>id</em> = <em>track</em>.id</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Media Capture', '#dom-mediastreamtrack-id', 'MediaStreamTrack.id') }}</td>
   <td>{{ Spec2('Media Capture') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamTrack.id")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC</a></li>
</ul>
